EasyApache 3 to EasyApache 4 Migration Process

thing2

EasyApache 3 to EasyApache 4 Migration Process

===============

Easy Apache version 4 introduced by cPanel version 11.52. EasyApache web-based Graphical User Interface helps to configure all the back-end activities. Easy Apache Graphic tool allows you to enable multiple PHP extensions and multi-processing modules. The new user interface allows you to change Apache handlers for the installed PHP versions. We can install a default version of PHP in the server and per host basis.

Easy Apache 4 requirements.

 

Operating systems.

——————-

  1. CentOS 6 or 7
  2. CloudLinux 6 or 7
  3. Red Hat Enterprise Linux 6 or 7

 

Easy Apache support only Apache 2.4.

The PHP versions supporting by the Easy Apache 4 are 5.4, 5.5, 5.6 and 5.7.

 

Installation of Easy Apache 4

—————————–

The installation of Easy Apache 4 required root login.

Cpanel provides a script for upgrading easyapache from 3 to 4.

 

For CloudLinux Server, we need to download the script from cloudlinux repository (https://repo.cloudlinux.com/) and install them

 

Cpanel also comes with a undo option which helps to revert the upgrade performed. The revert process will downgrade easyapache back to 3.

For cpanel server, the script itself comes with the revert option. However, for cloudlinux server, we need to execute the revert option on the script provided by cloudlinux repo.

 

You can access EA4 from WHM in the following path: Home >> Software >> EasyApache 4

EasyApache 4 interface will have following sections

1) Run system update

2) Currently Installed Packages

3) Available Profiles

4) Upload a profile
The interface will list all the package name (not the exact package name, but it displays them in more user-readable format). You can select the option which needs to be installed from there.

Leave a Reply